hakyll-4.9.8.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.File

Description

Exports simple compilers to just copy files

Synopsis

- newtype CopyFile = CopyFile FilePath
- copyFileCompiler :: Compiler (Item CopyFile)
- newtype TmpFile = TmpFile FilePath
- newTmpFile :: String -> Compiler TmpFile

# Documentation

newtype CopyFile #

This will copy any file directly by using a system call

Constructors

CopyFile FilePath |

Instances

Eq CopyFile # |
Methods (==) :: CopyFile -> CopyFile -> Bool # (/=) :: CopyFile -> CopyFile -> Bool #
Ord CopyFile # |
Methods compare :: CopyFile -> CopyFile -> Ordering # (<) :: CopyFile -> CopyFile -> Bool # (<=) :: CopyFile -> CopyFile -> Bool # (>) :: CopyFile -> CopyFile -> Bool # (>=) :: CopyFile -> CopyFile -> Bool # max :: CopyFile -> CopyFile -> CopyFile # min :: CopyFile -> CopyFile -> CopyFile #
Show CopyFile # |
Methods showsPrec :: Int -> CopyFile -> ShowS # show :: CopyFile -> String # showList :: [CopyFile] -> ShowS #
Binary CopyFile # |
Methods put :: CopyFile -> Put # get :: Get CopyFile # putList :: [CopyFile] -> Put #
Writable CopyFile # |
Methods write :: FilePath -> Item CopyFile -> IO () #

copyFileCompiler :: Compiler (Item CopyFile) #

newtype TmpFile #

Constructors

TmpFile FilePath |

Instances

Binary TmpFile # |
Methods put :: TmpFile -> Put # get :: Get TmpFile # putList :: [TmpFile] -> Put #
Writable TmpFile # |
Methods write :: FilePath -> Item TmpFile -> IO () #

newTmpFile #

Arguments

:: String | Suffix and extension
-> Compiler TmpFile | Resulting tmp path

Create a tmp file